igeo

## Class IGravity

- java.lang.Object
- - igeo.IObject
  - - igeo.IAgent
    - - igeo.IField
      - - igeo.I3DField
        - - igeo.IGravity

- All Implemented Interfaces:
    I3DFieldI, IDynamics, IFieldI, ISubobject

      public class IGravity
      extends I3DField

  Attractor field defined by a center point.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) IPoint` | `point`

    - ### Fields inherited from class igeo.I3DField

      `field`

    - ### Fields inherited from class igeo.IField

      `targetClasses`

    - ### Fields inherited from class igeo.IAgent

      `alive, duration, interactOverridden, localDynamics, parent, targets, time`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IGravity()`
    `IGravity(double gravity)`
    `IGravity(double x, double y, double z)`
    `IGravity(double xpos, double ypos, double zpos, double xdir, double ydir, double zdir)`
    `IGravity(IVecI gravity)`
    `IGravity(IVecI pos, IVecI gravity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IGravity` | `bidirectional(boolean b)` if bidirectional is on, field force vector is flipped when velocity of particle is going opposite
    `IGravity` | `clr(java.awt.Color c)`
    `IGravity` | `clr(java.awt.Color c, int alpha)`
    `IGravity` | `clr(double dgray)`
    `IGravity` | `clr(double dgray, double dalpha)`
    `IGravity` | `clr(double dr, double dg, double db)`
    `IGravity` | `clr(double dr, double dg, double db, double da)`
    `IGravity` | `clr(float fgray)`
    `IGravity` | `clr(float fgray, float falpha)`
    `IGravity` | `clr(float fr, float fg, float fb)`
    `IGravity` | `clr(float fr, float fg, float fb, float fa)`
    `IGravity` | `clr(int gray)`
    `IGravity` | `clr(int gray, int alpha)`
    `IGravity` | `clr(int r, int g, int b)`
    `IGravity` | `clr(int r, int g, int b, int a)`
    `IGravity` | `constantIntensity(boolean b)` if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
    `IGravity` | `decay(IDecay decay, double threshold)` custom decay
    `void` | `del()` delete agent and stop it by removing it from dynamics server
    `IGravity` | `gauss(double threshold)` alias of gaussianDecay
    `IGravity` | `gaussian(double threshold)` alias of gaussianDecay
    `IGravity` | `gaussianDecay(double threshold)` set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
    `double` | `getSize()`
    `IGravity` | `hide()`
    `IGravity` | `hsb(double h, double s, double b)`
    `IGravity` | `hsb(double h, double s, double b, double a)`
    `IGravity` | `hsb(float h, float s, float b)`
    `IGravity` | `hsb(float h, float s, float b, float a)`
    `IGravity` | `intensity(double i)` set output intensity
    `IGravity` | `layer(ILayer l)` Set layer by ILayer object
    `IGravity` | `linear(double threshold)` alias of linearDecay
    `IGravity` | `linearDecay(double threshold)` set linear decay with threshold; When distance is equal to threshold, output is zero.
    `IGravity` | `name(java.lang.String nm)` methods of IObject
    `IGravity` | `noDecay()` set no decay
    `IGravity` | `setColor(java.awt.Color c)`
    `IGravity` | `setColor(java.awt.Color c, int alpha)`
    `IGravity` | `setColor(double dgray)`
    `IGravity` | `setColor(double dgray, double dalpha)`
    `IGravity` | `setColor(double dr, double dg, double db)`
    `IGravity` | `setColor(double dr, double dg, double db, double da)`
    `IGravity` | `setColor(float fgray)`
    `IGravity` | `setColor(float fgray, float falpha)`
    `IGravity` | `setColor(float fr, float fg, float fb)`
    `IGravity` | `setColor(float fr, float fg, float fb, float fa)`
    `IGravity` | `setColor(int gray)`
    `IGravity` | `setColor(int gray, int alpha)`
    `IGravity` | `setColor(int r, int g, int b)`
    `IGravity` | `setColor(int r, int g, int b, int a)`
    `IGravity` | `setHSBColor(double h, double s, double b)`
    `IGravity` | `setHSBColor(double h, double s, double b, double a)`
    `IGravity` | `setHSBColor(float h, float s, float b)`
    `IGravity` | `setHSBColor(float h, float s, float b, float a)`
    `IGravity` | `setSize(double sz)` methods of IPoint
    `IGravity` | `show()`
    `double` | `size()`
    `IGravity` | `size(double sz)`
    `IGravity` | `threshold(double t)` set decay threshold
    `IGravity` | `weight(double w)`
    `IGravity` | `weight(float w)`

    - ### Methods inherited from class igeo.I3DField

      `applyField, del, field, get, get, intensity, threshold`

    - ### Methods inherited from class igeo.IField

      `clr, clr, clr, clr, clr, clr, clr, interact, isTarget, isTargetClass, target, target, targetClass, targetClass`

    - ### Methods inherited from class igeo.IAgent

      `addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

    - ### Methods inherited from class igeo.IObject

      `addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, cp, createGraphic, defaultAttribute, deleteGraphic, dup, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### point

          IPoint point

  - ### Constructor Detail

    - #### IGravity

          public IGravity()

    - #### IGravity

          public IGravity(IVecI gravity)

    - #### IGravity

          public IGravity(double x,
                          double y,
                          double z)

    - #### IGravity

          public IGravity(double gravity)

    - #### IGravity

          public IGravity(IVecI pos,
                          IVecI gravity)

    - #### IGravity

          public IGravity(double xpos,
                          double ypos,
                          double zpos,
                          double xdir,
                          double ydir,
                          double zdir)

  - ### Method Detail

    - #### noDecay

          public IGravity noDecay()

      Description copied from class: `I3DField`
      set no decay
      Specified by:
        `noDecay` in interface `IFieldI`
      Overrides:
        `noDecay` in class `I3DField`

    - #### linearDecay

          public IGravity linearDecay(double threshold)

      Description copied from class: `I3DField`
      set linear decay with threshold; When distance is equal to threshold, output is zero.
      Specified by:
        `linearDecay` in interface `IFieldI`
      Overrides:
        `linearDecay` in class `I3DField`

    - #### linear

          public IGravity linear(double threshold)

      Description copied from class: `I3DField`
      alias of linearDecay
      Specified by:
        `linear` in interface `IFieldI`
      Overrides:
        `linear` in class `I3DField`

    - #### gaussianDecay

          public IGravity gaussianDecay(double threshold)

      Description copied from class: `I3DField`
      set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
      Specified by:
        `gaussianDecay` in interface `IFieldI`
      Overrides:
        `gaussianDecay` in class `I3DField`

    - #### gaussian

          public IGravity gaussian(double threshold)

      Description copied from class: `I3DField`
      alias of gaussianDecay
      Specified by:
        `gaussian` in interface `IFieldI`
      Overrides:
        `gaussian` in class `I3DField`

    - #### gauss

          public IGravity gauss(double threshold)

      Description copied from class: `I3DField`
      alias of gaussianDecay
      Specified by:
        `gauss` in interface `IFieldI`
      Overrides:
        `gauss` in class `I3DField`

    - #### decay

          public IGravity decay(IDecay decay,
                                double threshold)

      Description copied from class: `I3DField`
      custom decay
      Specified by:
        `decay` in interface `IFieldI`
      Overrides:
        `decay` in class `I3DField`

    - #### constantIntensity

          public IGravity constantIntensity(boolean b)

      Description copied from class: `I3DField`
      if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
      Specified by:
        `constantIntensity` in interface `IFieldI`
      Overrides:
        `constantIntensity` in class `I3DField`

    - #### bidirectional

          public IGravity bidirectional(boolean b)

      if bidirectional is on, field force vector is flipped when velocity of particle is going opposite
      Specified by:
        `bidirectional` in interface `IFieldI`
      Overrides:
        `bidirectional` in class `I3DField`

    - #### threshold

          public IGravity threshold(double t)

      Description copied from class: `I3DField`
      set decay threshold
      Specified by:
        `threshold` in interface `IFieldI`
      Overrides:
        `threshold` in class `I3DField`

    - #### intensity

          public IGravity intensity(double i)

      Description copied from class: `I3DField`
      set output intensity
      Specified by:
        `intensity` in interface `IFieldI`
      Overrides:
        `intensity` in class `I3DField`

    - #### name

          public IGravity name(java.lang.String nm)

      Description copied from class: `IField`
      methods of IObject
      Overrides:
        `name` in class `IField`

    - #### layer

          public IGravity layer(ILayer l)

      Description copied from class: `IObject`
      Set layer by ILayer object
      Overrides:
        `layer` in class `IField`

    - #### show

          public IGravity show()

      Overrides:
        `show` in class `IField`

    - #### hide

          public IGravity hide()

      Overrides:
        `hide` in class `IField`

    - #### del

          public void del()

      Description copied from class: `IAgent`
      delete agent and stop it by removing it from dynamics server
      Specified by:
        `del` in interface `IFieldI`
      Overrides:
        `del` in class `I3DField`

    - #### setSize

          public IGravity setSize(double sz)

      methods of IPoint

    - #### size

          public IGravity size(double sz)

    - #### getSize

          public double getSize()

    - #### size

          public double size()

    - #### clr

          public IGravity clr(java.awt.Color c)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(java.awt.Color c,
                              int alpha)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(int gray)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(float fgray)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(double dgray)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(int gray,
                              int alpha)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(float fgray,
                              float falpha)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(double dgray,
                              double dalpha)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(int r,
                              int g,
                              int b)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(float fr,
                              float fg,
                              float fb)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(double dr,
                              double dg,
                              double db)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(int r,
                              int g,
                              int b,
                              int a)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(float fr,
                              float fg,
                              float fb,
                              float fa)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IGravity clr(double dr,
                              double dg,
                              double db,
                              double da)

      Overrides:
        `clr` in class `IField`

    - #### hsb

          public IGravity hsb(float h,
                              float s,
                              float b,
                              float a)

      Overrides:
        `hsb` in class `IField`

    - #### hsb

          public IGravity hsb(double h,
                              double s,
                              double b,
                              double a)

      Overrides:
        `hsb` in class `IField`

    - #### hsb

          public IGravity hsb(float h,
                              float s,
                              float b)

      Overrides:
        `hsb` in class `IField`

    - #### hsb

          public IGravity hsb(double h,
                              double s,
                              double b)

      Overrides:
        `hsb` in class `IField`

    - #### setColor

          public IGravity setColor(java.awt.Color c)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(java.awt.Color c,
                                   int alpha)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(int gray)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(float fgray)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(double dgray)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(int gray,
                                   int alpha)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(float fgray,
                                   float falpha)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(double dgray,
                                   double dalpha)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(int r,
                                   int g,
                                   int b)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(float fr,
                                   float fg,
                                   float fb)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(double dr,
                                   double dg,
                                   double db)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(int r,
                                   int g,
                                   int b,
                                   int a)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(float fr,
                                   float fg,
                                   float fb,
                                   float fa)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IGravity setColor(double dr,
                                   double dg,
                                   double db,
                                   double da)

      Overrides:
        `setColor` in class `IField`

    - #### setHSBColor

          public IGravity setHSBColor(float h,
                                      float s,
                                      float b,
                                      float a)

      Overrides:
        `setHSBColor` in class `IField`

    - #### setHSBColor

          public IGravity setHSBColor(double h,
                                      double s,
                                      double b,
                                      double a)

      Overrides:
        `setHSBColor` in class `IField`

    - #### setHSBColor

          public IGravity setHSBColor(float h,
                                      float s,
                                      float b)

      Overrides:
        `setHSBColor` in class `IField`

    - #### setHSBColor

          public IGravity setHSBColor(double h,
                                      double s,
                                      double b)

      Overrides:
        `setHSBColor` in class `IField`

    - #### weight

          public IGravity weight(double w)

      Overrides:
        `weight` in class `IField`

    - #### weight

          public IGravity weight(float w)

      Overrides:
        `weight` in class `IField`